package com.xy;

import com.xy.annotate.RestMappingController;
import com.xy.service.DeviceRegisterServiceImpl;
import com.xy.utils.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

@Slf4j
@AllArgsConstructor
@Api(tags = "支付宝-设备-注册登记")
@RestMappingController("alipay-device-register")
public class AliPayDeviceRegisterController {

    private DeviceRegisterServiceImpl deviceRegisterService;

    @ApiOperation("上传sn注册设备")
    @PostMapping("uploadSaveBySn")
    public R uploadSaveBySn(@RequestParam("file") MultipartFile file, @RequestParam("deviceType") Integer deviceType, @RequestParam("devicePc") String devicePc, @RequestParam("assetNo") String assetNo) {
        return deviceRegisterService.uploadSaveBySn(file, deviceType, devicePc, assetNo);
    }
}
